GXml.XCharacterData – GXml-0.20 Reference Manual

# XCharacterData

## Object Hierarchy:

## Description:

public class XCharacterData : XNonDocumentChildNode, DomCharacterData

DOM4 Base class for character data, powered by libxml2 library.

All known sub-classes:

- XComment

- XProcessingInstruction

- XText

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public string data { owned get; set; }
- public string str { owned get; set; }

### Creation methods:

- public XCharacterData ()

### Inherited Members:

All known members inherited from class GXml.XNonDocumentChildNode

- next_element_sibling

- previous_element_sibling

All known members inherited from class GXml.XChildNode

- remove

All known members inherited from class GXml.XNode

- _base_uri
- _doc
- _node
- add_event_listener
- append_child
- attrs
- base_uri
- child_nodes
- children_nodes
- clone_node
- compare_document_position
- contains
- dispatch_event
- document
- first_child

- get_internal_node
- has_child_nodes
- insert_before
- is_default_namespace
- is_equal_node
- last_child
- lookup_namespace_uri
- lookup_prefix
- name
- next_sibling
- node_name
- node_type
- node_value
- normalize
- owned_node

- owner_document
- parent
- parent_element
- parent_node
- previous_sibling
- remove_child
- remove_event_listener
- replace_child
- set_namespace
- text_content
- to_gnode
- to_string
- type_node
- value

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomCharacterData

- append_data
- data
- delete_data

- insert_data
- length

- replace_data
- substring_data

All known members inherited from interface GXml.DomNonDocumentTypeChildNode

- next_element_sibling

- previous_element_sibling

All known members inherited from interface GXml.DomChildNode

- remove

All known members inherited from interface GXml.DomEventTarget

- add_event_listener

- dispatch_event

- remove_event_listener

All known members inherited from interface GXml.DomNode

- append_child
- base_uri
- child_nodes
- compare_document_position
- contains
- copy
- first_child
- has_child_nodes
- insert_before

- is_default_namespace
- is_equal_node
- last_child
- lookup_namespace_uri
- lookup_prefix
- next_sibling
- node_name
- node_type
- node_value

- normalize
- owner_document
- parent_element
- parent_node
- previous_sibling
- remove_child
- replace_child
- text_content